%define version 3.17
%define release alt1
#define snap_date 20051230
#define snap_rel 0

%setup_python_module qt

Summary: Python bindings for Qt.
Name: %packagename
Version: %version
License: GPL
Group: Development/Python
%ifdef snap_date
Release: %release.snap%snap_date.%snap_rel
Source0: PyQt-x11-gpl-snapshot-%snap_date.tar.gz
%else
Release: %release
Source0: PyQt-x11-gpl-%version.tar.gz
%endif
URL: http://www.riverbankcomputing.co.uk/pyqt/
Requires: libqscintilla >= 1.4
%py_package_requires sip >= 4.4
Packager: Python Development Team <python@packages.altlinux.org>

Provides: PyQt
Obsoletes: PyQt
Provides: python-module-PyQt
Obsoletes: python-module-PyQt

BuildPreReq: %py_package_dependencies sip-devel >= 4.4

# Automatically added by buildreq on Thu Apr 10 2003

# Manually edited by morozov@
BuildRequires: xorg-x11-devel gcc-c++ libGLU-devel libqscintilla-devel >= 1.4  libqt3-devel libstdc++-devel zlib-devel

%description
Python bindings for the Qt C++ class library.  Also includes a PyQt backend
code generator for Qt Designer.

%package devel
Requires: %name = %version-%release
Summary:  Sip files for %name
Group: Development/Python
Obsoletes: PyQt-devel
Obsoletes: python-module-PyQt-devel
Provides: PyQt-devel
Provides: python-module-PyQt-devel
%py_package_provides %modulename-devel = %version-%release

%description devel
Sip files for PyQt to build extension

%package examples
Summary: PyQt examples
Group: Development/Python
Requires: %name
%py_package_provides %modulename-examples = %version-%release

%description examples
This package contains PyQt examples 


%prep
%ifdef snap_date
%setup -n PyQt-x11-gpl-snapshot-%snap_date
%else
%setup -n PyQt-x11-gpl-%version
%endif

%build
export QTDIR=%_libdir/qt3

echo 'yes' | %__python configure.py -y qt-mt -o %_libdir -d %python_sitelibdir
make

%install
export QTDIR=%_libdir/qt3
make install DESTDIR=%buildroot

%files
%_bindir/*
%python_sitelibdir/*
%doc NEWS README ChangeLog doc/*.html

%files devel
%dir %_datadir/sip
%_datadir/sip/*

%files examples
%doc examples3

%changelog
* Thu Nov 09 2006 Ivan Fedorov <ns@altlinux.ru> 3.17-alt1
- 3.17

* Sat Sep 09 2006 Ivan Fedorov <ns@altlinux.ru> 3.16-alt2
- fix x86_64 building

* Sun Apr 09 2006 Ivan Fedorov <ns@altlinux.ru> 3.16-alt1
- 3.16

* Mon Mar 06 2006 Alexey Morozov <almorozov@altlinux.org> 3.15.1-alt1.2
- NMU: removed unneeded xorg-x11-libs from BuildRequires
  and cleared other BuildDependencies
- cleared dependencies list a bit using rpm-build-python macros
- added path to libqscintilla.so

* Wed Dec 07 2005 Ivan Fedorov <ns@altlinux.ru> 3.15.1-alt1
- 3.15.1

* Thu Jun 16 2005 ALT QA Team Robot <qa-robot@altlinux.org> 3.14.1-alt1.1.1.1.1
- Rebuilt with libqt3.

* Thu Jun 02 2005 ALT QA Team Robot <qa-robot@altlinux.org> 3.14.1-alt1.1.1.1
- Rebuild with new libgnutls.so.11 .

* Tue Apr 19 2005 ALT QA Team Robot <qa-robot@altlinux.org> 3.14.1-alt1.1.1
- Rebuilt with libqt3

* Fri Mar 25 2005 ALT QA Team Robot <qa-robot@altlinux.org> 3.14.1-alt1.1
- Rebuilt with libqt3

* Sat Mar 12 2005 Ivan Fedorov <ns@altlinux.ru> 3.14.1-alt1
- 3.14.1
- rebuild with python 2.4

* Sat Mar 05 2005 Ivan Fedorov <ns@altlinux.ru> 3.14-alt2
- small fix spec

* Mon Feb 21 2005 Ivan Fedorov <ns@altlinux.ru> 3.14-alt1
- 3.14

* Fri Feb 04 2005 ALT QA Team Robot <qa-robot@altlinux.org> 3.13-alt4.1.1
- Rebuilt with qt3-3.3.4

* Thu Jan 20 2005 ALT QA Team Robot <qa-robot@altlinux.org> 3.13-alt4.1
- Rebuilt with libstdc++.so.6.

* Mon Dec 27 2004 Ivan Fedorov <ns@altlinux.ru> 3.13-alt4
- fixing requires (libqt3)

* Sun Dec 12 2004 Ivan Fedorov <ns@altlinux.ru> 3.13-alt3
- fix spec to be compatible with python policy

* Wed Oct 27 2004 Eugene V. Horohorin <genix@altlinux.ru> 3.13-alt2
- fix sip>=4.1 requires bug (#5323)

* Fri Sep 24 2004 Eugene V. Horohorin <genix@altlinux.org> 3.13-alt1
- new release

* Tue Sep 21 2004 Eugene V. Horohorin <genix@altlinux.ru> 3.12-alt2
- new buildrequires

* Thu Sep 02 2004 Eugene V. Horohorin <genix@altlinux.ru> 3.12-alt1
- new release
- removed macros (_findprov_lib_path)
- spec cleanup

* Fri Aug 01 2003 Serge Sergeev <ssv@altlinux.ru> 3.7-alt2
- added _findprov_lib_path macro to temporary solve problem with dependencies

* Tue Jul 08 2003 Serge Sergeev <ssv@altlinux.ru> 3.7-alt1
- new release

* Mon Apr 28 2003 Serge Sergeev <ssv@altlinux.ru> 3.6-alt1
- new release

* Thu Apr 10 2003 Serge Sergeev <ssv@altlinux.ru> 3.6-alt0.1
- New build from snapshot

* Fri Dec 20 2002 Serge Sergeev <ssv@altlinux.ru> 3.5-alt2
- comment patch added ( this comment line needs for eric )
- add devel package ( need to build some extension of qt )

* Tue Dec 17 2002 Serge Sergeev <ssv@altlinux.ru> 3.5-alt1
- build with qscintilla
- new release

* Mon Dec 16 2002 Serge Sergeev <ssv@altlinux.ru> 3.5-alt0.1.20021205
- correct version

* Sat Dec 07 2002 Serge Sergeev <ssv@altlinux.ru> 20021205-alt1
- build from snapshot
- add documentation

* Tue Nov 05 2002 Serge Sergeev <ssv@altlinux.ru> 3.4-alt1
- new release

* Wed Sep 04 2002 Serge Sergeev <ssv@altlinux.ru> 3.3.2-alt1
- new release

* Thu Jul 25  2002 <sergeyssv@mail.ru>
- Initial release

